Polygonize
Prev | 10.8. Topology Processing | Next

## Name

Polygonize — Finds and registers all faces defined by topology edges.

## Synopsis

`text Polygonize(`varchar toponame`)`;

## Description

Registers all faces that can be built out a topology edge primitives.

The target topology is assumed to contain no self-intersecting edges.

Already known faces are recognized, so it is safe to call Polygonize multiple times on the same topology.

This function does not use nor set the next_left_edge and next_right_edge fields of the edge table.

Availability: 2.0.0

## See Also

AddFace, ST_Polygonize

Prev | Up | Next
GetNodeEdges | Home | AddNode